Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ColorF Class Reference

`#include <color.h>`

## Public Member Functions
| ColorF ()
| ColorF (const ColorF &in_rCopy)
| ColorF (const F32 in_r, const F32 in_g, const F32 in_b, const F32 in_a=1.0f)
| ColorF (const char *pStockColorName)
void | set (const F32 in_r, const F32 in_g, const F32 in_b, const F32 in_a=1.0f)
void | set (const char *pStockColorName)
StringTableEntry | StockColor (void)
ColorF & | operator*= (const ColorF &in_mul)
ColorF | operator* (const ColorF &in_mul) const
ColorF & | operator+= (const ColorF &in_rAdd)
ColorF | operator+ (const ColorF &in_rAdd) const
ColorF & | operator-= (const ColorF &in_rSub)
ColorF | operator- (const ColorF &in_rSub) const
ColorF & | operator*= (const F32 in_mul)
ColorF | operator* (const F32 in_mul) const
ColorF & | operator/= (const F32 in_div)
ColorF | operator/ (const F32 in_div) const
ColorF | operator- () const
| operator const U32 () const
bool | operator== (const ColorF &) const
bool | operator!= (const ColorF &) const
const F32 * | address (void) const
U32 | getARGBPack () const
U32 | getRGBAPack () const
U32 | getBGRAPack () const
| operator ColorI () const
void | interpolate (const ColorF &in_rC1, const ColorF &in_rC2, const F32 in_factor)
bool | isValidColor () const
void | clamp ()
StringTableEntry | stringThis (void) const
const char * | scriptThis (void) const

## Static Public Member Functions
static const ColorF & | StockColor (const char *pStockColorName)

## Public Attributes
F32 | red
F32 | green
F32 | blue
F32 | alpha

## Constructor & Destructor Documentation

ColorF | ( |  | ) |
| inline

ColorF | ( | const ColorF & | in_rCopy | ) |
| inline

ColorF | ( | const F32 | in_r,
|  | const F32 | in_g,
|  | const F32 | in_b,
|  | const F32 | in_a = `1.0f`
| ) |  |
| inline

ColorF | ( | const char * | pStockColorName | ) |

## Member Function Documentation

const F32* address | ( | void |  | ) | const
| inline

void clamp | ( |  | ) |
| inline

U32 getARGBPack | ( |  | ) | const
| inline

U32 getBGRAPack | ( |  | ) | const
| inline

U32 getRGBAPack | ( |  | ) | const
| inline

void interpolate | ( | const ColorF & | in_rC1,
|  | const ColorF & | in_rC2,
|  | const F32 | in_factor
| ) |  |
| inline

bool isValidColor | ( |  | ) | const
| inline

operator ColorI | ( |  | ) | const
| inline

operator const U32 | ( |  | ) | const
| inline

bool operator!= | ( | const ColorF & | in_Cmp | ) | const
| inline

ColorF operator* | ( | const ColorF & | in_mul | ) | const
| inline

ColorF operator* | ( | const F32 | in_mul | ) | const
| inline

ColorF & operator*= | ( | const ColorF & | in_mul | ) |
| inline

ColorF & operator*= | ( | const F32 | in_mul | ) |
| inline

ColorF operator+ | ( | const ColorF & | in_rAdd | ) | const
| inline

ColorF & operator+= | ( | const ColorF & | in_rAdd | ) |
| inline

ColorF operator- | ( | const ColorF & | in_rSub | ) | const
| inline

ColorF operator- | ( |  | ) | const
| inline

ColorF & operator-= | ( | const ColorF & | in_rSub | ) |
| inline

ColorF operator/ | ( | const F32 | in_div | ) | const
| inline

ColorF & operator/= | ( | const F32 | in_div | ) |
| inline

bool operator== | ( | const ColorF & | in_Cmp | ) | const
| inline

const char* scriptThis | ( | void |  | ) | const
| inline

void set | ( | const F32 | in_r,
|  | const F32 | in_g,
|  | const F32 | in_b,
|  | const F32 | in_a = `1.0f`
| ) |  |
| inline

void set | ( | const char * | pStockColorName | ) |

const ColorF & StockColor | ( | const char * | pStockColorName | ) |
| static

StringTableEntry StockColor | ( | void |  | ) |

StringTableEntry stringThis | ( | void |  | ) | const
| inline

## Member Data Documentation

F32 alpha

F32 blue

F32 green

F32 red

The documentation for this class was generated from the following files:

- graphics/color.h
- graphics/color.cc